header {
  width: 100%;
  top: 0;
  position: fixed;
  z-index: 5;
}

.header-top {
  background-color: #333;
  color: #fff;
  padding: 6px 54px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid #444;
}

.contact-details {
  display: flex;
  gap: 18px;
}

.header-top .welcome-text,
.header-top .contact-details {
  font-size: 14px;
}

.header-top .contact-details p {
  margin: 0;
}

.header-main {
  background-color: #333;
  color: #fff;
  padding: 6px 54px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

/* Branding section */
.header-main .branding h1 {
  font-size: 28px;
  margin: 0;
  font-weight: bold;
}

.branding a{
  text-decoration: none;
  color: inherit;
}

/* Search bar section */
.header-main .search-bar {
  font-size: 14px;
}

/* User side section */
.header-main .user-side {
  display: flex;
  align-items: center;
}

.header-main .user-side .account {
  margin-right: 20px;
}

.account {
  display: flex;
  align-items: center;
  text-decoration: none;
  color: #fff;
}

.user-collection {
  padding-left: 8px;
  border-left: 1px solid #fff;
}

.header-main .user-side .user-collection {
  display: flex;
}

.header-main .user-side .user-collection .wishlist,
.header-main .user-side .user-collection .cart {
  margin-left: 10px;
}

.header-main .user-side .user-collection .cart, .wishlist {
  position: relative;
  display: inline-block;
}

.cart-count {
  position: absolute;
  top: -5px;
  right: -5px;
  background-color: rgb(219, 0, 0);
  color: white;
  font-size: 12px;
  font-weight: bold;
  width: 18px;
  height: 18px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
}

/* Navigation section */
nav {
  background-color: #146cda;
  padding: 2px 54px;
  display: flex;
}

nav .browse-category {
  font-size: 14px;
  color: #fff;
  font-weight: bold;
  display: flex;
  align-items: center;
  gap: 18px;
}

.nav-links {
  display: flex;
  align-items: center;
  margin-left: 28px;
}

nav .nav-links ul {
  display: flex;
  list-style: none;
  padding: 0;
  margin: 0;
}

nav .nav-links li {
  text-transform: uppercase;
  margin-right: 20px;
}

nav .nav-links a {
  color: #fff;
  text-decoration: none;
  font-size: 14px;
  padding: 0px 10px;
  transition: background-color 0.3s;
}

nav .nav-links a:hover {
  background-color: #0154ba;
}

.category-dropdown {
  display: none;
  background-color: #fff;
  width: 30%;
  position: absolute;
  top: 100%;
  left: 0;
  padding: 10px;
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
  z-index: 10;
  border-radius: 5px;
  transition: opacity 0.3s ease;
}

.category-list {
  list-style-type: none;
  padding: 0;
  margin: 0;
}

.category-list li {
  padding: 10px 15px; 
  color: #333; 
  cursor: pointer; 
  transition: background-color 0.3s ease;
}

.category-list li:hover {
  background-color: #f0f0f0;
}

.category-dropdown a {
  text-decoration: none;
  color: #333; 
  display: block;
  padding: 10px;
  transition: background-color 0.3s ease;
}

